Commit b7bbd070 authored by Thomas Vincent's avatar Thomas Vincent

Merge branch 'doc-ci' into 'master'

Doc ci

See merge request kmap/xsocs!117
parents bf53cb0e ffcbeaed
Pipeline #12300 passed with stages
in 13 minutes and 46 seconds
......@@ -18,19 +18,17 @@ source:
extends: .local_source_build
.Xmanylinux1_wheels:
manylinux1_wheels:
extends: .manylinux1_wheels
manylinux2010_wheels:
extends: .manylinux2010_wheels
.Xwindows_wheel_python36:
windows_wheel_python36:
extends: .windows_wheel_python36
only:
- master
.Xwindows_wheel_python37:
windows_wheel_python37:
extends: .windows_wheel_python37
......@@ -51,6 +49,8 @@ doc:
- artifacts/doc/
when: on_success
expire_in: 2h
only:
- master
# Test
......@@ -73,66 +73,42 @@ doc:
dependencies:
- manylinux1_wheels
.Xmanylinux1_test_cp27:
manylinux1_test_cp27:
extends: .manylinux1_test
image: python:2.7
.Xmanylinux1_test_cp34:
manylinux1_test_cp34:
extends: .manylinux1_test
image: python:3.4
only:
- master
.Xmanylinux1_test_cp35:
manylinux1_test_cp35:
extends: .manylinux1_test
image: python:3.5
only:
- master
.Xmanylinux1_test_cp36:
manylinux1_test_cp36:
extends: .manylinux1_test
image: python:3.6
only:
- master
.Xmanylinux1_test_cp37:
manylinux1_test_cp37:
extends: .manylinux1_test
image: python:3.7
.manylinux2010_test:
extends: .test_template
tags:
- linux
before_script:
- ls -l artifacts
dependencies:
- manylinux2010_wheels
.Xmanylinux2010_test_cp27:
extends: .manylinux2010_test
image: python:2.7
.Xmanylinux2010_test_cp34:
extends: .manylinux2010_test
image: python:3.4
.Xmanylinux2010_test_cp35:
extends: .manylinux2010_test
image: python:3.5
.Xmanylinux2010_test_cp36:
extends: .manylinux2010_test
image: python:3.6
manylinux2010_test_cp37:
extends: .manylinux2010_test
image: python:3.7
allow_failure: true
.Xwindows_test_python36:
windows_test_python36:
<<: *test_template_defintion
extends: .windows_base_python36
dependencies:
- windows_wheel_python36
only:
- master
.Xwindows_test_python37:
windows_test_python37:
<<: *test_template_defintion
extends: .windows_base_python37
dependencies:
......
......@@ -4,7 +4,18 @@ Installation
*X-SOCS* supports `Python <https://www.python.org/>`_ versions >= 3.4 (recommended) and 2.7.
At the moment *X-SOCS* can only be installed from the source, see `Installing from source`_.
Binary wheels of the latest development version of X-SOCS are available for Linux and Windows (for python >= 3.6) in the *X-SOCS* `wheelhouse <https://kmap.gitlab-pages.esrf.fr/xsocs/wheels/>`_.
To install *X-SOCS* with minimal dependency (to use from scripts)::
pip install --pre --find-links https://kmap.gitlab-pages.esrf.fr/xsocs/wheels/ xsocs [--user]
or with graphical user interface dependencies::
pip install --pre --find-links https://kmap.gitlab-pages.esrf.fr/xsocs/wheels/ xsocs[gui] [--user]
.. note::
The ``--user`` optional argument installs X-SOCS for the current user only.
Dependencies
------------
......@@ -59,5 +70,3 @@ or with all graphical user interface dependencies::
pip install .[gui] [--user]
.. note::
The ``--user`` optional argument installs X-SOCS for the current user only.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment